Maven Enforcer Plugin
  1. Maven Enforcer Plugin
  2. MENFORCER-108

Documentation/Typo : 'unCheckedPluginsList' is written instead of 'unCheckedPluginList'

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 1.0-beta-1
    • Fix Version/s: 1.0
    • Component/s: Standard Rules
    • Labels:
      None
    • Number of attachments :
      0

      Description

      The documentation at http://maven.apache.org/enforcer/enforcer-rules/requirePluginVersions.html uses the element name 'unCheckedPluginsList', both in the parameter list and in the sample, where it should use 'unCheckedPluginList' (note singular 'Plugin').

      See http://svn.apache.org/viewvc/maven/enforcer/tags/enforcer-1.0-beta-1/enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/RequirePluginVersions.java?r1=729232&r2=746626&diff_format=h#l122 for proof that the rule expects 'unCheckedPluginList'.

        Activity

        Hide
        Andrew Swan added a comment -

        This is marked as fixed but as of today, it's not fixed.

        Show
        Andrew Swan added a comment - This is marked as fixed but as of today, it's not fixed.

          People

          • Assignee:
            Unassigned
            Reporter:
            Jonathan Perret
          • Votes:
            1 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: